API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /developers/{developer_email}/appfamilies/{app_family}/app/{app_name}

Removes an App from an App Family

Verb: DELETE

Auth: Basic Auth

Removes a single App from an App Family.

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/developers/{developer_email}/appfamilies/{appfamily_name}/apps/{app_name} -X DELETE
Sample Response:
{
  "accessType" : "read",
  "appFamily" : "default",
  "attributes" : [ {
    "name" : "Platform",
    "value" : "iOS"
  } ],
  "callbackUrl" : "api.company.com",
  "createdAt" : 1343835346639,
  "createdBy" : "admin@apigee.com",
  "credentials" : [ {
    "apiProducts" : [ {
      "apiproduct" : "weather_free",
      "status" : "approved"
    } ],
    "attributes" : [ ],
    "consumerKey" : "GlouKJyAARkstGJt2rp8HbGmWd7qf0Hv",
    "consumerSecret" : "NOGKpokG1ThDPUdU",
    "status" : "approved"
  } ],
  "developerId" : "apigee-cs@@@6ejTv4l6eQpvqesS",
  "lastModifiedAt" : 1343835346639,
  "lastModifiedBy" : "admin@apigee.com",
  "name" : "weatherapp",
  "status" : "approved"
}
Errors
Failure 4xx with proper error message
{
  "code" : "developer.service.AppDoesNotExistInGivenAppFamily",
  "message" : "App app1.1 doesnt exist in given appfamily {1}",
  "contexts" : [ ]
}
Last updated: about 1 month ago